Bug 1127590

Summary: remove leftovers from older unsupported versions that exist in the code + DB
Product: [Retired] oVirt Reporter: Oved Ourfali <oourfali>
Component: ovirt-engine-coreAssignee: Martin Perina <mperina>
Status: CLOSED CURRENTRELEASE QA Contact: Pavel Stehlik <pstehlik>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 3.5CC: amureini, bugs, ecohen, emesika, gklein, iheim, rbalakri, yeylon
Target Milestone: ---Keywords: CodeChange
Target Release: 3.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: infra
Fixed In Version: ovirt-3.5.0_rc2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-12 14:26:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Infra RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Oved Ourfali 2014-08-07 08:21:11 UTC
The oVirt source code and DB still contains places in which we refer to version 2.2, which is no longer supported. Please remove these references.

Comment 1 Allon Mureinik 2014-08-08 18:24:34 UTC
Caught one of them as part of the cleanup I handled in http://gerrit.ovirt.org/#/c/31266/.

Please make sure someone from the storage team either reviews or collaborates on the changes required to storage classes (VersionStorageFormatUtil, DataCenterStorageListModel).

The other usages are tests (GetCommandsCompatibilityVersionsQueryTest, UpdateVmCommandTest) and the declaration of this constant in Version itself.
I'd be happy to review/collaborate on those too if needed.

Comment 2 Gil Klein 2014-10-12 14:26:30 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA